#!/usr/bin/python
# Created by: William E. Allen (wallen@stanford.edu), July 2015
from register_elastix import *

def main():
    if not os.path.exists(reg_dir):
        os.mkdir(reg_dir)
    if not os.path.exists(final_out_dir):
        os.mkdir(final_out_dir)
    if not os.path.exists(out_dir):
        os.mkdir(out_dir)
    if not os.path.exists(inverse_dir):
        os.mkdir(inverse_dir)

    ch2_fnames = [f for f in fnames if "ch2" in f]
    ch1_fnames = [f for f in fnames if "ch1" in f]
 
    # section to warp Ch1 (TRAP channel)
    allch2_fnames = [f for f in os.listdir(data_dir) if "ch2" in f and not "flip" in f]
    # recompute final warp from ref channel to final reference
    reg2ref(allch2_fnames, os.path.join(final_out_dir, "warp_ref.nrrd"))
    # actually warp all the TRAP channel brains
    apply_reg_all(os.path.join(base_dir, "output/warp_ref.nrrd"), ch1_fnames)   
    # make average trap brain 
    average_volumes_old(ch1_out, os.path.join(base_dir, "avg_ch1.nrrd"))


if __name__ == "__main__":
    main()
