#!/usr/bin/python
# Created by: William E. Allen (wallen@stanford.edu), July 2015
from register_elastix import *

def main():
    if not os.path.exists(reg_dir):
        os.mkdir(reg_dir)
    if not os.path.exists(final_out_dir):
        os.mkdir(final_out_dir)
    if not os.path.exists(out_dir):
        os.mkdir(out_dir)
    if not os.path.exists(inverse_dir):
        os.mkdir(inverse_dir)

    ch2_fnames = [f for f in fnames if "ch2" in f]
    ch1_fnames = [f for f in fnames if "ch1" in f]

    # section to build atlas
    # initialize registration with global alignment
    bootstrap_reg(ch2_fnames)
    # perform iterative affine registration
    iterative_affine_reg(ch2_fnames)
    # perform iterative warping registration
    iterative_warp_reg(ch2_fnames, restart=True)

if __name__ == "__main__":
    main() 
