#!/usr/bin/python
# Created by: William E. Allen (wallen@stanford.edu), July 2015

import os
import tifffile
from medpy.io import save
import SimpleITK as sitk
import numpy as np

base_dir = "/home/ubuntu/data/trap_downsamp_tiff"
out_dir = "/home/ubuntu/data/trap_downsamp_nii"

pixel_size = 4*(5.16/1000.) # in mm
spacing = [pixel_size, pixel_size, pixel_size] # in mm, this is only approximately correct...
#fixed = "/home/ubuntu/data/trap_downsamp_nii/150615_h1_06x2sh5sp9590p200s2kwide_15-56-23_ch2.nii"
#moving = "/home/ubuntu/data/trap_downsamp_nii/150617_h2_06x2sh5sp9590p200s2kwide_21-34-59_ch2.nii"

def load_img(impath):
    print "\t--> Loading image %s..." % impath
    im = sitk.ReadImage(impath)
    # hack to convert to float
    #nda = sitk.GetArrayFromImage(im).astype(np.float32)
    #im = sitk.GetImageFromArray(nda)
    im.SetSpacing(spacing)
    return im

def flip_image(img):
    new_img = np.zeros(img.shape, dtype=np.uint16)
    for i in xrange(img.shape[2]):
        new_img[:,:,i] = np.fliplr(img[:,:,i]).astype(np.uint16)
    return new_img

if not os.path.exists(out_dir):
    os.mkdir(out_dir)

for f in os.listdir(base_dir):
    print f
    name, ending = f.split(".")
    out_name = name + ".nii"
    out_flipped_name = name + "_flip.nii"
    img = tifffile.imread(os.path.join(base_dir, f))
    flip_img = flip_image(img)
    print img.shape
    out_full_path = os.path.join(out_dir, out_name)
    out_full_path_flip = os.path.join(out_dir, out_flipped_name)
    # save basic nii
    save(flip_img, out_full_path_flip)
    save(img, out_full_path)
    # reload the nii files
    im = load_img(out_full_path)
    flip_im = load_img(out_full_path_flip)
    # save both wit units
    sitk.WriteImage(im, out_full_path)
    sitk.WriteImage(flip_im, out_full_path_flip)
