#!/usr/bin/python
import tifffile
import os
import nrrd
import numpy as np
output_img_size = [528, 456, 320]

ref_path = "/home/ubuntu/data/manref/" # path to directory containing roi_tiffs subdirs of binary masks of regions

def parse_manref(path):
    options = {}
    options['spacings'] = [0.025, 0.025, 0.025]
    tifpath = os.path.join(ref_path, "roi_tiffs")
    all_vol = np.zeros(output_img_size)
    for i in xrange(1,20):
        print i
        all_files = os.listdir(tifpath)
        currstr = "C%02d" % i
        curr_files = sorted([f for f in all_files if currstr in f])
        curr_vol = np.zeros(output_img_size)
        
        for j in xrange(len(curr_files)):
            img = tifffile.imread(os.path.join(tifpath, curr_files[j]))
            idx = np.where(img > 0)
            curr_vol[idx[1],idx[0],j] = img[idx[0],idx[1]]
            all_vol[idx[1], idx[0], j] = img[idx[0], idx[1]]
        nrrd.write(os.path.join(ref_path,"roi_nrrds", "c"+str(i)+".nrrd"), curr_vol, options)
    nrrd.write(os.path.join(ref_path, "manref.nrrd"), all_vol, options)
        
def main():
    parse_manref(ref_path)

if __name__ == "__main__":
    main()
