#!/usr/bin/python
# Created by: William E. Allen (wallen@stanford.edu), July 2015
from register_elastix import *

def main():
    if not os.path.exists(reg_dir):
        os.mkdir(reg_dir)
    if not os.path.exists(final_out_dir):
        os.mkdir(final_out_dir)
    if not os.path.exists(out_dir):
        os.mkdir(out_dir)
    if not os.path.exists(inverse_dir):
        os.mkdir(inverse_dir)

    ch1_out = [os.path.join(out_dir, "reg_"+f,"result.nrrd") for f in ch1_fnames if not "flip" in f]
    csv = os.path.join(cell_dir, "csv")
    downsamp_csv = os.path.join(cell_dir, "downsamp_csv")
    warped_csv = os.path.join(cell_dir, "warped_csv")
 
    # computer inverse warp to apply to cell positions
    inverse_reg2ref(allch2_fnames)
    
    # warp cell positions
    warp_all_points(csv, downsamp_csv, warped_csv)

if __name__ == "__main__":
    main()
