function imgstack = imgfileread(dpData)
% Function to read in tiff images given the data path.
%
%
% (c) Qiyuan Tian, McNab Lab, Stanford University, September 2015

files = dir(fullfile(dpData, '*.tif'));

fnImg = files(1).name;
fpImg = fullfile(dpData, fnImg);
objTiff = Tiff(fpImg,'r');
img = objTiff.read();
objTiff.close();
[rr, cc] = size(img);

imgstack = zeros(rr, cc, length(files));

disp('*****Start reading images*****');
for ii = 1 : length(files)
    fnImg = files(ii).name;
    fpImg = fullfile(dpData, fnImg);
    objTiff = Tiff(fpImg,'r');
    imgstack(:, :, ii) = objTiff.read();
    objTiff.close();
end
disp('*****End reading images*****');

end